/*********************************************************************************************
 * Copyright 2004 - Volian Enterprises, Inc. All rights reserved.
 * Volian Enterprises - Proprietary Information - DO NOT COPY OR DISTRIBUTE
 * ------------------------------------------------------------------------------
 * $Workfile: SymbLst.cs $     $Revision: 2 $
 * $Author: Kathy $   $Date: 11/15/04 10:54a $
 *
 * $History: SymbLst.cs $
 * 
 * *****************  Version 2  *****************
 * User: Kathy        Date: 11/15/04   Time: 10:54a
 * Updated in $/LibSource/Utils
 * B2004-057: crash on scroll fixed & rest of PSI/Title symbols added
 * 
 * *****************  Version 1  *****************
 * User: Kathy        Date: 7/27/04    Time: 8:34a
 * Created in $/LibSource/Utils
 *********************************************************************************************/

using System;

namespace Utils
{
	/// <summary>
	/// Summary description for SymbLst.
	/// </summary>
	/// 
	public class SymbolListItem 
	{
		public string CharacterCode;
		public byte Translation;
		public short CharacterSet;
		public SymbolListItem(string cc, byte trans, short cs)
		{
			CharacterCode = cc;
			Translation = trans;
			CharacterSet = cs;
		}
	}
	public class SymbolListB
	{
		public string[] SymbolListStrings;
		public SymbolListItem[] SymbolList;
		public SymbolListB()
		{
		}
	}

	public class SymbolListSteps : SymbolListB			// for steps
	{
		
		public SymbolListSteps()
		{
			SymbolListStrings = new string[]
			{
			"Degree",
			"Delta",
			"Greater Than or Equal To",
			"Less Than Or Equal To",
			"Plus or Minus",
			"Sigma",
			"Gamma",
			"One Half",
			"ACCUM Character",
			"Solid Bullet",
			"Approximatly Equal",
			"Similar or Equal",
			"Division Symbol",
			"Square Root",
			"Rho",
			"PI",
			"Micro",
			"Lower Case Delta",
			"Lower Case Sigma",
			"One Fourth",
			"Distinguished Zero",
			"Average Disintegration Energy",
			"Grave",
			"Vertical Line",
			"Epsilon",
			"Theta",
			"Dot in Oval",
			"Tau",
			"Hard Space",
			"Diamond",
			"Turn On Bold",
			"Turn Off Bold",
			"Turn On Underline",
			"Turn Off Underline",
			"Turn On Italics",
			"Turn Off Italics",
			"Turn On Superscript",
			"Turn Off Superscript",
			"Turn On Subscript",
			"Turn Off Subscript"
			};

			SymbolList = new SymbolListItem[] {	
				new SymbolListItem("\xB0",0xF8,0),		/* ø - Degree */
				new SymbolListItem("\x44",0x7F,0),		/*  - Delta */
				new SymbolListItem("\xB3",0xF2,0),		/* ò - Greater Than or Equal */
				new SymbolListItem("\xA3",0xF3,0),		/* ó - Less Than or Equal */
				new SymbolListItem("\xB1",0xF1,0),		/* ñ - Plus or Minus */
				new SymbolListItem("\x53",0xE4,0),		/* ä - Sigma */
				new SymbolListItem("\x67",0xE7,0),		/* ç - (Printed as a Gamma) */
				new SymbolListItem("\xBD",0xAB,1),		/* « - One Half */
				new SymbolListItem("\xFE",0xFE,0),		/* þ - ACCUM Character */
				new SymbolListItem("\xB7",0x07,0),		/*  - Solid Bullet */
				new SymbolListItem("\xBB",0xF7,0),		/* Similar */
				new SymbolListItem("\x40",0xF0,0),		/* ÷ - Approximately equal */
				new SymbolListItem("\xB8",0xF6,0),		/* ö - Division symbol */
				new SymbolListItem("\xD6",0xFB,0),		/* û - Square Root */
				new SymbolListItem("\x72",0xE2,0),		/* â - (Printed as a rho) */
				new SymbolListItem("\x70",0xE3,0),		/* ã - (Printed as pi) */
				new SymbolListItem("\x6D",0xE6,0),		/* æ - micro */
				new SymbolListItem("\x64",0xEB,0),      /* ë - Lower Case Delta */
				new SymbolListItem("\x73",0xE5,0),		/* å - Lower Case Sigma */
				new SymbolListItem("\xBC",0xAC,1),		/* ¬ - One Fourth */
				new SymbolListItem("\xC6",0xED,0),		/* í - Distinguished Zero */
				new SymbolListItem("\x9F",0x90,0),		// Average Deintegration Energy
				new SymbolListItem("\xEC",0x8D,1),		// Grave
				new SymbolListItem("\xBD",0xB3,0),		// Vertical Bar
				new SymbolListItem("\x65",0xEE,0),		// Epsilon
				new SymbolListItem("\x71",0xE9,0),		// Theta
				new SymbolListItem("\x9E",0xEC,0),		// Dot With Oval
				new SymbolListItem("\x74",0xA8,0),		// Tau
				new SymbolListItem("\xA0",0xFF,1),		// Hard Space
				new SymbolListItem("\xA8",0xA9,0),		// Diamond
				new SymbolListItem("\xD5",0xD5,1),		// Bold on
				new SymbolListItem("\xD6",0xD6,1),		// Bold off
				new SymbolListItem("\xAE",0xAE,1),		// Underline on
				new SymbolListItem("\xAF",0xAF,1),		// Underline off
				new SymbolListItem("\xB2",0xB2,1),		// Italics on
				new SymbolListItem("\xDD",0xDD,1),		// Italics off
				new SymbolListItem("\xC6",0xC6,1),		// Superscript on
				new SymbolListItem("\xC7",0xC7,1),		// Superscript off
				new SymbolListItem("\xD1",0xD1,1),		// Subscript on
				new SymbolListItem("\xA6",0xA6,1)		// Subscript off
			};
		}
	}
}
